---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libthrcputime002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2C70, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x58B80, symBinAddr: 0xA220, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5AAC0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5AEB0, symBinAddr: 0xC550, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5BE50, symBinAddr: 0xD4F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5BE60, symBinAddr: 0xD500, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x587E0, symBinAddr: 0xA0C0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x587E4, symBinAddr: 0xA0C4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x587E8, symBinAddr: 0xA0C8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x58930, symBinAddr: 0xA0D0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x589E8, symBinAddr: 0xA188, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x589EC, symBinAddr: 0xA18C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x589F0, symBinAddr: 0xA190, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x589F4, symBinAddr: 0xA194, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x589F8, symBinAddr: 0xA198, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x58A00, symBinAddr: 0xA1A0, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x58A10, symBinAddr: 0xA1B0, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x58A18, symBinAddr: 0xA1B8, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x58A20, symBinAddr: 0xA1C0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x58A28, symBinAddr: 0xA1C8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x58A30, symBinAddr: 0xA1D0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x58A38, symBinAddr: 0xA1D8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x58A80, symBinAddr: 0xA1E0, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL6events, symObjAddr: 0x10A98, symBinAddr: 0xA0B0, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL15testAgentThread, symObjAddr: 0x58A88, symBinAddr: 0xA1E8, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL19prevAgentThreadTime, symObjAddr: 0x58A90, symBinAddr: 0xA1F0, symSize: 0x0 }
  - { offsetInCU: 0x955E, offset: 0x955E, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x58A98, symBinAddr: 0xA1F8, symSize: 0x0 }
  - { offsetInCU: 0x9577, offset: 0x9577, size: 0x8, addend: 0x0, symName: __ZL20prevTestedThreadTime, symObjAddr: 0x58AA0, symBinAddr: 0xA200, symSize: 0x0 }
  - { offsetInCU: 0x9590, offset: 0x9590, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x58AA8, symBinAddr: 0xA208, symSize: 0x0 }
  - { offsetInCU: 0x95A9, offset: 0x95A9, size: 0x8, addend: 0x0, symName: __ZL10iterations, symObjAddr: 0x58AB0, symBinAddr: 0xA210, symSize: 0x0 }
  - { offsetInCU: 0x95C2, offset: 0x95C2, size: 0x8, addend: 0x0, symName: __ZL12threadEvents, symObjAddr: 0x10AA0, symBinAddr: 0xA0B8, symSize: 0x0 }
  - { offsetInCU: 0x9614, offset: 0x9614, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1810, symSize: 0x80 }
  - { offsetInCU: 0x96A9, offset: 0x96A9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1760, symSize: 0xB0 }
  - { offsetInCU: 0x9704, offset: 0x9704, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1660, symSize: 0x100 }
  - { offsetInCU: 0x9997, offset: 0x9997, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1890, symSize: 0xC0 }
  - { offsetInCU: 0x99E9, offset: 0x99E9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1950, symSize: 0x220 }
  - { offsetInCU: 0x9BCE, offset: 0x9BCE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1B70, symSize: 0xA0 }
  - { offsetInCU: 0x9C81, offset: 0x9C81, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1C10, symSize: 0x110 }
  - { offsetInCU: 0x9D77, offset: 0x9D77, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1D20, symSize: 0x150 }
  - { offsetInCU: 0x9F22, offset: 0x9F22, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1E70, symSize: 0x30 }
  - { offsetInCU: 0xA00F, offset: 0xA00F, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1EA0, symSize: 0x150 }
  - { offsetInCU: 0xA207, offset: 0xA207, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1FF0, symSize: 0x160 }
  - { offsetInCU: 0xA4C7, offset: 0xA4C7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x2150, symSize: 0x4A0 }
  - { offsetInCU: 0xA760, offset: 0xA760, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x27E0, symBinAddr: 0x25F0, symSize: 0xE0 }
  - { offsetInCU: 0xA820, offset: 0xA820, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x26D0, symSize: 0x1B0 }
  - { offsetInCU: 0xAA3B, offset: 0xAA3B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2880, symSize: 0xA0 }
  - { offsetInCU: 0xAB0A, offset: 0xAB0A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2920, symSize: 0x20 }
  - { offsetInCU: 0xAB41, offset: 0xAB41, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2940, symSize: 0x20 }
  - { offsetInCU: 0xAB78, offset: 0xAB78, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2960, symSize: 0x20 }
  - { offsetInCU: 0xACE7, offset: 0xACE7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2980, symSize: 0x1A0 }
  - { offsetInCU: 0xB003, offset: 0xB003, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2B20, symSize: 0x150 }
  - { offsetInCU: 0xB1C0, offset: 0xB1C0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2F10, symSize: 0x1D0 }
  - { offsetInCU: 0xB4BC, offset: 0xB4BC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x30E0, symSize: 0x80 }
  - { offsetInCU: 0xB585, offset: 0xB585, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x3160, symSize: 0x6C0 }
  - { offsetInCU: 0xC0FB, offset: 0xC0FB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xC600, symBinAddr: 0x6910, symSize: 0xB0 }
  - { offsetInCU: 0xC172, offset: 0xC172, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x3820, symSize: 0x70 }
  - { offsetInCU: 0xC22E, offset: 0xC22E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5190, symBinAddr: 0x3890, symSize: 0xF0 }
  - { offsetInCU: 0xC362, offset: 0xC362, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3980, symSize: 0xA0 }
  - { offsetInCU: 0xC46D, offset: 0xC46D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3A20, symSize: 0x40 }
  - { offsetInCU: 0xC563, offset: 0xC563, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3A60, symSize: 0x2B0 }
  - { offsetInCU: 0xC909, offset: 0xC909, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3D10, symSize: 0xC0 }
  - { offsetInCU: 0xCA4F, offset: 0xCA4F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3DD0, symSize: 0x10 }
  - { offsetInCU: 0xCB11, offset: 0xCB11, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3DE0, symSize: 0x240 }
  - { offsetInCU: 0xCDFA, offset: 0xCDFA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x4020, symSize: 0x10 }
  - { offsetInCU: 0xCE57, offset: 0xCE57, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x4030, symSize: 0x410 }
  - { offsetInCU: 0xD371, offset: 0xD371, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA130, symBinAddr: 0x4440, symSize: 0x10 }
  - { offsetInCU: 0xD520, offset: 0xD520, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0xA140, symBinAddr: 0x4450, symSize: 0x170 }
  - { offsetInCU: 0xD7E4, offset: 0xD7E4, size: 0x8, addend: 0x0, symName: __ZL12checkCpuTimeP9_jvmtiEnvP8_jobjectPyS3_PKc, symObjAddr: 0xA2B0, symBinAddr: 0x45C0, symSize: 0x14B0 }
  - { offsetInCU: 0xDC33, offset: 0xDC33, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xB760, symBinAddr: 0x5A70, symSize: 0x70 }
  - { offsetInCU: 0xDD8B, offset: 0xDD8B, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xB7D0, symBinAddr: 0x5AE0, symSize: 0x1A0 }
  - { offsetInCU: 0xE077, offset: 0xE077, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0xB970, symBinAddr: 0x5C80, symSize: 0x320 }
  - { offsetInCU: 0xE4C4, offset: 0xE4C4, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xBC90, symBinAddr: 0x5FA0, symSize: 0x350 }
  - { offsetInCU: 0xE95A, offset: 0xE95A, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBFE0, symBinAddr: 0x62F0, symSize: 0x620 }
  - { offsetInCU: 0xF29E, offset: 0xF29E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC6B0, symBinAddr: 0x69C0, symSize: 0x370 }
...
